#import "SWGBatch.h"

@implementation SWGBatch

- (instancetype)init {
  self = [super init];
  if (self) {
    // initialize property's default value, if any
    
  }
  return self;
}


/**
 * Maps json key to property name.
 * This method is used by `JSONModel`.
 */
+ (JSONKeyMapper *)keyMapper {
  return [[JSONKeyMapper alloc] initWithModelToJSONDictionary:@{ @"_id": @"id", @"status": @"status", @"started": @"started", @"finished": @"finished", @"count": @"count", @"processed": @"processed", @"failed": @"failed", @"urls": @"urls" }];
}

/**
 * Indicates whether the property with the given name is optional.
 * If `propertyName` is optional, then return `YES`, otherwise return `NO`.
 * This method is used by `JSONModel`.
 */
+ (BOOL)propertyIsOptional:(NSString *)propertyName {

  NSArray *optionalProperties = @[@"_id", @"status", @"started", @"finished", @"count", @"processed", @"failed", @"urls"];
  return [optionalProperties containsObject:propertyName];
}

@end
