#import "SWGAccount.h"

@implementation SWGAccount

- (instancetype)init {
  self = [super init];
  if (self) {
    // initialize property's default value, if any
    
  }
  return self;
}


/**
 * Maps json key to property name.
 * This method is used by `JSONModel`.
 */
+ (JSONKeyMapper *)keyMapper {
  return [[JSONKeyMapper alloc] initWithModelToJSONDictionary:@{ @"balance": @"balance", @"freeScreenshotsLeft": @"free_screenshots_left", @"privateInstances": @"private_instances", @"hostingBrowshot": @"hosting_browshot", @"instances": @"instances", @"browsers": @"browsers", @"screenshots": @"screenshots" }];
}

/**
 * Indicates whether the property with the given name is optional.
 * If `propertyName` is optional, then return `YES`, otherwise return `NO`.
 * This method is used by `JSONModel`.
 */
+ (BOOL)propertyIsOptional:(NSString *)propertyName {

  NSArray *optionalProperties = @[@"instances", @"browsers", @"screenshots"];
  return [optionalProperties containsObject:propertyName];
}

@end
